/**
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.mithrim.epf.core.common;

/**
 * A <code>ContextDimension</code> identifies a context as either temporal,
 * spatial, state-oriented or segmentation-oriented.
 *
 * @author Dirk Jablonski
 */
public enum ContextDimension {
	/**
	 * A temporal context.
	 */
	TEMPORAL,

	/**
	 * A spatial context.
	 */
	SPATIAL,

	/**
	 * A state-oriented context.
	 */
	STATE_ORIENTED,

	/**
	 * A segmentation-oriented context.
	 */
	SEGMENTATION_ORIENTED,

	/**
	 * A composite comtext.
	 */
	COMPOSITE
}
