/**
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.mithrim.epf.core.common;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * A <code>ContextPartition</code> classifies events as belonging to one or more sets.
 * An event processing operation that is associated with a context operates on each of
 * these context partitions independently.
 *
 * @author Dirk Jablonski
 */
public final class ContextPartition {
	private final Map<String, String> properties;
	private final int hashCode;
	private final String id;

	public ContextPartition(Map<String, String> properties) {
		this.properties = new HashMap<String, String>(properties.size());
		this.properties.putAll(properties);

		this.hashCode = hashCode();
		this.id = Integer.toString(hashCode);
	}

	public String getId() {
		return id;
	}

	public Map<String, String> getProperties() {
		return Collections.unmodifiableMap(properties);
	}

	@Override
	public boolean equals(final Object obj) {
		// TODO Auto-generated method stub
		return true;
	}

	@Override
	public int hashCode() {
		// TODO Auto-generated method stub
		return super.hashCode();
	}
}
