/**
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.mithrim.epf.core.common;

/**
 * The <code>PayloadAttributeOccurrence</code> defines, if a payload attribute value
 * must be (<code>REQUIRED</code>), may be (<Code>OPTIONAL</code>) or must not be
 * present (<code>NOT_APPLICABLE</code>) on an event instance.
 * In contrast to the occurrence indicators defined for an event type, a payload
 * attribute has only <code>REQUIRED</code> or <code>OPTIONAL</code> as possible
 * values, because it makes no sense to define a payload attribute, which  is not
 * allowed in any event instance.
 *
 * @author Dirk Jablonski
 */
public enum PayloadAttributeOccurrence {
	REQUIRED,
	OPTIONAL
}
